Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.emailadapter.appconn
Class EmailSSLSocketFactory

    java.lang.Object
      javax.net.SocketFactory
          javax.net.ssl.SSLSocketFactory
              com.stc.connector.emailadapter.appconn.EmailSSLSocketFactory

    public class EmailSSLSocketFactory

extends javax.net.ssl.SSLSocketFactory

SSLSocket factory class used to manually load truststore

Version:
  $Revision: 1.4 $
Author:
  $Author: chuang $

Field Summary
`static java.lang.String` | `trustStore`
`static java.lang.String` | `trustStorePassword`
`static java.lang.String` | `trustStoreType`
`static java.lang.String` | `x509Algorithm`

Constructor Summary
`EmailSSLSocketFactory()` Constructor for SSLSocketFactory.

Method Summary
`java.net.Socket` | `createSocket(java.net.InetAddress host, int port)` Create a socket.
`java.net.Socket` | `createSocket(java.net.InetAddress address, int port, java.net.InetAddress clientAddress, int clientPort)` Create a socket.
`java.net.Socket` | `createSocket(java.net.Socket s, java.lang.String host, int port, boolean autoClose)` Create a socket.
`java.net.Socket` | `createSocket(java.lang.String host, int port)` Create a socket.
`java.net.Socket` | `createSocket(java.lang.String host, int port, java.net.InetAddress clientHost, int clientPort)` Create a socket.
`static javax.net.SocketFactory` | `getDefault()`
`java.lang.String[]` | `getDefaultCipherSuites()` Get the default cipher suites.
`java.lang.String[]` | `getSupportedCipherSuites()` Get the supported cipher suites.

Methods inherited from class javax.net.SocketFactory
`createSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### trustStore

    public static java.lang.String trustStore

### trustStoreType

    public static java.lang.String trustStoreType

### trustStorePassword

    public static java.lang.String trustStorePassword

### x509Algorithm

    public static java.lang.String x509Algorithm

Constructor Detail

### EmailSSLSocketFactory

    public EmailSSLSocketFactory()
                          throws java.io.IOException

  Constructor for SSLSocketFactory.

  Parameters:
    `trustStore` - Fully qualified truststore filename.
    `trustStoreType` - Truststore type (JKS, etc.).
    `trustStorePassword` - The truststore password.
    `x509Algorithm` - X509 certificate manager algorithm.
  Throws:
    `java.io.IOException` - upon error.

Method Detail

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Create a socket.

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Parameters:
    `host` - The host.
    `port` - The port.
  Returns:
    An instance of Socket.
  Throws:
    `java.io.IOException` - upon error.
    `java.net.UnknownHostException` - upon error.

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port,
                                        java.net.InetAddress clientHost,
                                        int clientPort)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Create a socket.

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Parameters:
    `host` - The host.
    `port` - The port.
    `clientHost` - InetAddress of client host.
    `clientPort` - port number of client host.
  Returns:
    An instance of Socket.
  Throws:
    `java.io.IOException` - upon error.
    `java.net.UnknownHostException` - upon error.

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress host,
                                        int port)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Create a socket.

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Parameters:
    `host` - The InetAddress of host.
    `port` - The port.
  Returns:
    An instance of Socket.
  Throws:
    `java.io.IOException` - upon error.
    `java.net.UnknownHostException` - upon error.

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress address,
                                        int port,
                                        java.net.InetAddress clientAddress,
                                        int clientPort)
                                 throws java.io.IOException

  Create a socket.

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Parameters:
    `address` - The InetAddress of host.
    `port` - The port.
    `clientAddress` - InetAddress of client host.
    `clientPort` - port number of client host.
  Returns:
    An instance of Socket.
  Throws:
    `java.io.IOException` - upon error.

### createSocket

    public java.net.Socket createSocket(java.net.Socket s,
                                        java.lang.String host,
                                        int port,
                                        boolean autoClose)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Create a socket.

  Specified by:
    `createSocket` in class `javax.net.ssl.SSLSocketFactory`
  Parameters:
    `s` - The current established socket connection.
    `host` - The host.
    `port` - The port.
    `autoClose` - Automatically close socket connection.
  Returns:
    An instance of Socket.
  Throws:
    `java.io.IOException` - upon error.
    `java.net.UnknownHostException` - upon error.

### getDefaultCipherSuites

    public java.lang.String[] getDefaultCipherSuites()

  Get the default cipher suites.

  Specified by:
    `getDefaultCipherSuites` in class `javax.net.ssl.SSLSocketFactory`
  Returns:
    An array of cipher suite Strings.

### getSupportedCipherSuites

    public java.lang.String[] getSupportedCipherSuites()

  Get the supported cipher suites.

  Specified by:
    `getSupportedCipherSuites` in class `javax.net.ssl.SSLSocketFactory`
  Returns:
    An array of cipher suite Strings.

### getDefault

    public static javax.net.SocketFactory getDefault()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD